/* 
	DESCRIPTION:
	This script is written for the ilch CMS Template "Minecraft Modern" to create block elements for the header and footer
	
	AUTHOR:
	Jonathan Hgli, http://rjdesign.ch
	
	VERSION: 
	0.2 - in development state
	
*/

// main function for generationg the header block elements. 
function generateHeaderBlocks(parentElement, cssClass, cssClassBg, lines) {

	generateBlockBackgrounds(parentElement, lines, cssClassBg);

	$.each(lines, function(index, value)  {
		for(i=1; i <= value; i++){
			var rightPos = -1 * getRandom(20, 40);
			var topPos = -1 * (lines.length) * 40;
			var marginTopPos = -1 * getRandom(1, 5);
			var topBgPos = -1 * (index * 40);
			var leftBgPos = -1 * (1000 - ((i * 40)));
			$(parentElement).append('<div class="' + cssClass + '" style="background-position: ' + leftBgPos + 'px ' + topBgPos + 'px; ' +
										'top: ' + topPos + 'px; right: ' + rightPos + 'px; margin-top: ' + marginTopPos + 'px; ' + setRotation() + '" ></div>');			
		}
		$(parentElement).append('<div style="clear: both;"></div>');		
	});
}

// main function for generationg the footer block elements. 
function generateFooterBlocks(parentElement, cssClass, cssClassBg, lines, tpye) {

	generateBlockBackgrounds(parentElement, lines, cssClassBg);

	$.each(lines, function(index, value)  {
		for(i=1; i <= value; i++){
			var leftPos = getRandom(10, 20) + (i * 40) - getRandom(30, 40) - 40;
			var topPos = index * 40;
			var topBgPos = -1 * (index * 40);
			var leftBgPos = -1 * (1000 - ((i * 40)));
			$(parentElement).append('<div class="' + cssClass + '" style="background-position: ' + leftBgPos + 'px ' + topBgPos + 'px; ' +
										'top: ' + topPos + 'px; left: ' + leftPos + 'px; ' + setRotation() + '" ></div>');			
		}
		$(parentElement).append('<div style="clear: both;"></div>');		
	});
}



// private function for generating the empty background of the blocks
/* private */ function generateBlockBackgrounds(parentElement, lines, cssClassBg) {
	$.each(lines, function(index, value)  {
		for(i=1; i <= value; i++){
			$(parentElement).append('<div class="' + cssClassBg + '" id="block' + index + i + '"></div>');
		}	
		$(parentElement).append('<div style="clear:both;"></div>');		
	});
}

// public function for generating a random number
function getRandom(min, max) {
	if(min > max) {
		return(-1);
	}
	if(min == max) {
		return( min );
	}
 
    return( min + parseInt(Math.random() * (max-min+1)));
}

// public function for setting the random rotation as css attributes
function setRotation() {
	var deg = getRandom(10,55);
	var rotation = '-moz-transform: rotate(' + deg + 'deg);' +
					'-o-transform: rotate(' + deg + 'deg);' +
					'-webkit-transform: rotate(' + deg + 'deg);' +
					'-ms-transform: rotate(' + deg + 'deg);' +
					'transform: rotate(' + deg + 'deg);' +
					'zoom: 1;';
	return rotation;
	
}